
%global meadversion 1.2.10
%global namedversion 1.2.10.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 2
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}xom}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.2.10.redhat-1

Name:           %{?scl_prefix}xom
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        XOM
Group:          Development/Java

%if %with mead
Source100: xom-1.2.10.redhat-1-scm-sources.zip
Source102: xom-1.2.10.redhat-1-project-sources.tar.gz
Source103: xom-1.2.10.redhat-1-sources.jar
Source104: xom-1.2.10.redhat-1-javadoc.jar
Source105: xom-1.2.10.redhat-1.jar
Source106: xom-1.2.10.redhat-1.pom
%endif

License:        LGPLv2+
URL:            http://xom.nu
Requires:       %{?scl_prefix_eap}xercesImpl >= 0:2.8.0
Requires:       %{?scl_prefix_eap}jaxen >= 0:1.1.6
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
The XOM Dual Streaming/Tree API for Processing XML.

%if %with javadoc
%package javadoc
Summary:        Javadoc for xom
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n xom -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/xom-%{namedversion}.jar %{buildroot}%{_javadir}/xom-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/xom-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xom-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/xom-%{namedversion}-sources.jar %{buildroot}%{_javadir}/xom-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/xom-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/xom-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/xom-%{namedversion} -x META-INF/\*
%{__ln_s} xom-%{namedversion} %{buildroot}%{_javadocdir}/xom
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc lgpl.txt LICENSE.txt README.txt Todo.txt
%{_javadir}/xom-%{namedversion}.jar
%{_javadir}/xom.jar
%if %with javadoc
%{_javadir}/xom-%{namedversion}-javadoc.jar
%{_javadir}/xom-javadoc.jar
%endif
%{_javadir}/xom-%{namedversion}-sources.jar
%{_javadir}/xom-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/xom-%{namedversion}
%{_javadocdir}/xom
%endif

%changelog
* Thu Nov 09 2017 Permaine Cheung <pcheung@redhat.com> - 1.2.10-2.redhat_1.1
- Fix license (JBEAP-13468)

* Tue Jun 23 2015 David Walluck <dwalluck@redhat.com> - 1.2.10-1.redhat_1.1
- release

